//## begin module%1.4%.codegen_version preserve=yes
//   Read the documentation to learn more about C++ code generator
//   versioning.
//## end module%1.4%.codegen_version

//## begin module%3DAF00FB0159.cm preserve=no
//	  %X% %Q% %Z% %W%
//## end module%3DAF00FB0159.cm

//## begin module%3DAF00FB0159.cp preserve=no
//## end module%3DAF00FB0159.cp

//## Module: PlotChiSq%3DAF00FB0159; Package specification
//## Subsystem: XSPlot::Commands%3DA1AFD101BF
//## Source file: /local/data/xerxes1/gordon/headas/Xspec/src/XSPlot/Commands/PlotChiSq.h

#ifndef PLOTCHISQ_H
#define PLOTCHISQ_H 1

//## begin module%3DAF00FB0159.additionalIncludes preserve=no
//## end module%3DAF00FB0159.additionalIncludes

//## begin module%3DAF00FB0159.includes preserve=yes
//## end module%3DAF00FB0159.includes

// PlotCommand
#include <XSPlot/Plot/PlotCommand.h>
//## begin module%3DAF00FB0159.declarations preserve=no
//## end module%3DAF00FB0159.declarations

//## begin module%3DAF00FB0159.additionalDeclarations preserve=yes
class PlotGroup;
class PlotSettings;
struct StandardLabels;
//## end module%3DAF00FB0159.additionalDeclarations


//## begin PlotChiSq%3DAEFC7302F0.preface preserve=yes
//## end PlotChiSq%3DAEFC7302F0.preface

//## Class: PlotChiSq%3DAEFC7302F0
//## Category: XSPlot::PlotCommands%3DAF12C70234
//## Subsystem: XSPlot::Commands%3DA1AFD101BF
//## Persistence: Transient
//## Cardinality/Multiplicity: n



class PlotChiSq : public PlotCommand  //## Inherits: <unnamed>%4B1D281D032D
{
  //## begin PlotChiSq%3DAEFC7302F0.initialDeclarations preserve=yes
  //## end PlotChiSq%3DAEFC7302F0.initialDeclarations

  public:
    //## Constructors (generated)
      PlotChiSq();

    //## Destructor (generated)
      virtual ~PlotChiSq();


    //## Other Operations (specified)
      //## Operation: makeLabels%4B1D2A11026F
      //	If not overridden, this does nothing.
      virtual void makeLabels (const PlotSettings& settings, StandardLabels& labels) const;

    // Additional Public Declarations
      //## begin PlotChiSq%3DAEFC7302F0.public preserve=yes
      //## end PlotChiSq%3DAEFC7302F0.public

  protected:
    // Additional Protected Declarations
      //## begin PlotChiSq%3DAEFC7302F0.protected preserve=yes
      //## end PlotChiSq%3DAEFC7302F0.protected

  private:
    //## Constructors (generated)
      PlotChiSq(const PlotChiSq &right);

    //## Assignment Operation (generated)
      PlotChiSq & operator=(const PlotChiSq &right);


    //## Other Operations (specified)
      //## Operation: manipulate%4B1D2A310283
      //	Once the raw data has been gathered into PlotGroup
      //	objects, this is the function that performs the various
      //	mathematical operations specific to each PlotCommand
      //	subclass.
      virtual void manipulate (std::vector<PlotGroup*>& plotGroups, const PlotSettings& settings);

      //## Operation: setRanges%4B1D2A3703C7
      //	Determines plot-time range settings based on current
      //	setplot settings and PlotGroup data.
      virtual void setRanges (std::vector<PlotGroup*>& plotGroups, const PlotSettings& settings);

    // Additional Private Declarations
      //## begin PlotChiSq%3DAEFC7302F0.private preserve=yes
      //## end PlotChiSq%3DAEFC7302F0.private

  private: //## implementation
    // Additional Implementation Declarations
      //## begin PlotChiSq%3DAEFC7302F0.implementation preserve=yes
      //## end PlotChiSq%3DAEFC7302F0.implementation

};

//## begin PlotChiSq%3DAEFC7302F0.postscript preserve=yes
//## end PlotChiSq%3DAEFC7302F0.postscript

// Class PlotChiSq 

//## begin module%3DAF00FB0159.epilog preserve=yes
//## end module%3DAF00FB0159.epilog


#endif
